### File

`src/app/shared/models/tidi.model.ts`

### Description

The tidi class

### Index

###### Properties

- completed

###### Methods

- afunc

###### Accessors

- emailAddress

### Properties

completed
Type : `boolean`
Defined in src/app/shared/models/tidi.model.ts:10

### Methods

afunc
`afunc(a: string, b: string)`
Defined in src/app/shared/models/tidi.model.ts:11

Parameters :

Name | Type | Optional
a | `string` | No
b | `string` | No

Returns : `literal type | null`

### Accessors

emailAddress
get `emailAddress()`
Defined in src/app/shared/models/tidi.model.ts:18

Parameters :

Name | Optional
value | No

Returns : `string`

    import { Direction } from '../miscellaneous/miscellaneous';

    import { LogMethod, LogProperty, LogPropertyWithArgs, LogClass } from '../decorators/log.decorator';

    /**
     * The tidi class
     */
    @LogClass
    export class Tidi {
        completed: boolean;
        afunc(a: string, b: string): { passwordMismatch: boolean } | null {
            return true ? { passwordMismatch: true } : null;
        }

        /**
         * @param {string} value
         */
        public get emailAddress(): string {
            return 'email';
        }
    }

# results matching ""

# No results matching ""